Index: code/branches/pickup2/src/orxonox/pickup/BaseItem.cc
===================================================================
--- code/branches/pickup2/src/orxonox/pickup/BaseItem.cc	(revision 5946)
+++ code/branches/pickup2/src/orxonox/pickup/BaseItem.cc	(revision 5947)
@@ -41,6 +41,6 @@
 {
     /**
-        @brief Constructor. Registers the BaseItem.
-        @param creator Pointer to the object which created this item.
+    @brief Constructor. Registers the BaseItem.
+    @param creator Pointer to the object which created this item.
     */
     BaseItem::BaseItem(BaseObject* creator) : BaseObject(creator)
@@ -59,7 +59,7 @@
 
     /**
-        @brief XMLPort for BaseItem.
-        @param xmlelement Element of the XML-file.
-        @param mode XMLPort mode to use.
+    @brief XMLPort for BaseItem.
+    @param xmlelement Element of the XML-file.
+    @param mode XMLPort mode to use.
     */
     void BaseItem::XMLPort(Element& xmlelement, XMLPort::Mode mode)
@@ -72,7 +72,7 @@
 
     /**
-        @brief Method to add the item to a pawn.
-        @param pawn Pawn to which the item should get added.
-        @return Returns whether the pawn's PickupCollection accepted the item.
+    @brief Method to add the item to a pawn.
+    @param pawn Pawn to which the item should get added.
+    @return Returns whether the pawn's PickupCollection accepted the item.
     */
     bool BaseItem::addTo(Pawn* pawn)
@@ -80,5 +80,5 @@
         this->setOwner(pawn);
 
-        if (pawn->getPickups().add(this))
+        if (pawn->getPickups().add(this)) //TODO: Does the pawn store his pickups?
         {
             COUT(3) << "Added '" << this->getPickupIdentifier() << "' item." << std::endl;
Index: code/branches/pickup2/src/orxonox/pickup/BaseItem.h
===================================================================
--- code/branches/pickup2/src/orxonox/pickup/BaseItem.h	(revision 5946)
+++ code/branches/pickup2/src/orxonox/pickup/BaseItem.h	(revision 5947)
@@ -44,30 +44,31 @@
 {
     /**
-        @brief
-            Base class for all items/pickups.
+    @brief
+        Base class for all items/pickups.
 
-            Provides common methods to be used in derived classes.
-        @author
-            Daniel 'Huty' Haggenmueller
+        Provides common methods to be used in derived classes.
+    @author
+        Daniel 'Huty' Haggenmueller
     */
     class _OrxonoxExport BaseItem : public BaseObject
     {
 // tolua_end
-    public:
-        BaseItem(BaseObject* creator);
-        virtual ~BaseItem();
+        public:
+            BaseItem(BaseObject* creator);
+            virtual ~BaseItem();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);  //!< XMLPort
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);  //!< XMLPort
 
-        /**
+            /**
             @brief Checks how many instances of this item can be carried at a time.
             @return How many of this item can be carried.
-        */
-        virtual int getMaxCarryAmount() const
-            { return 1; }
+            */
+            virtual int getMaxCarryAmount() const //TODO: Maybe, better to just be virtual.
+                { return BaseItem::MAX_CARRY_AMOUNT; }
 
-        bool addTo(Pawn* pawn);             //!< Add the item to a pawn.
-        bool removeFrom(Pawn* pawn);        //!< Removes the item from a pawn.
-        /**
+            //TODO: Need to be public?
+            bool addTo(Pawn* pawn);             //!< Add the item to a pawn.
+            bool removeFrom(Pawn* pawn);        //!< Removes the item from a pawn.
+            /**
             @brief
                 Method invoked when the item gets picked up.
@@ -78,8 +79,8 @@
             @param pawn Pawn who picks up the item.
             @return Returns whether the pawn was able to pick up the item.
-        */
-        virtual bool pickedUp(Pawn* pawn)
-            { return false; }
-        /**
+            */
+            virtual bool pickedUp(Pawn* pawn) //TODO: Maybe better to be just virtual.
+                { return false; }
+            /**
             @brief
                 Method invoked when the item is dropped from a player.
@@ -90,49 +91,53 @@
             @param pawn Pawn which dropped the item.
             @return Returns whether the item was able to get dropped by the pawn.
-        */
-        virtual bool dropped(Pawn* pawn)
-            { return false; }
+            */
+            virtual bool dropped(Pawn* pawn)
+                { return false; }
 
-        /**
+            /**
             @brief Gets the current owner of the pickup.
             @return Returns the current owner.
-        */
-        inline Pawn* getOwner() const
-            { return this->owner_; }
-        /**
+            */
+            inline Pawn* getOwner() const
+                { return this->owner_; }
+            /**
             @brief Sets the owner of the pickup.
             @param owner New owner for the pickup.
-        */
-        inline void setOwner(Pawn* owner)
-            { this->owner_ = owner; }
+            */
+            inline void setOwner(Pawn* owner)
+                { this->owner_ = owner; }
 
-        /**
+            /**
             @brief Gets the pickupIdentifier of the item.
             @return Returns the pickupIdentifier of the item.
             @see pickupIdentifier_
-        */
-        inline const std::string& getPickupIdentifier() const
-            { return this->pickupIdentifier_; }
-        /**
+            */
+            inline const std::string& getPickupIdentifier() const
+                { return this->pickupIdentifier_; }
+            /**
             @brief Sets the pickupIdentifier for the item.
             @param identifier New pickupIdentifier for the item.
             @see pickupIdentifier_
-        */
-        inline void setPickupIdentifier(const std::string& identifier)
-            { this->pickupIdentifier_ = identifier; }
+            */
+            //TODO: Needs to be public?
+            inline void setPickupIdentifier(const std::string& identifier)
+                { this->pickupIdentifier_ = identifier; }
 
-        // GUI stuff
-        virtual const std::string& getGUIText() const; // tolua_export
-        inline void setGUIText(const std::string& text)
-            { this->guiText_ = text; }
+            // GUI stuff
+            //TODO: Comment. Maybe seperate GUI from Pickup, e.g. ItemDescription...
+            virtual const std::string& getGUIText() const; // tolua_export
+            inline void setGUIText(const std::string& text)
+                { this->guiText_ = text; }
 
-        virtual const std::string& getGUIImage() const
-            { return this->guiImage_; }
-        inline void setGUIImage(const std::string& image)
-            { this->guiImage_ = image; }
-    private:
-        Pawn* owner_;   //!< The current owner of the item.
+            virtual const std::string& getGUIImage() const
+                { return this->guiImage_; }
+            inline void setGUIImage(const std::string& image)
+                { this->guiImage_ = image; }
+        private:
+            static const int MAX_CARRY_AMOUNT = 1;
 
-        /**
+            Pawn* owner_;   //!< The current owner of the item.
+
+            /**
             @brief
                 The pickupIdentifier of the item..
@@ -140,9 +145,10 @@
                 Usually set to the template name used by a PickupSpawner,
                 used to index items in the PickupCollection.
-        */
-        std::string pickupIdentifier_;
+            */
+            std::string pickupIdentifier_; //TODO: Remove, when always just this->getName().
 
-        std::string guiText_;
-        std::string guiImage_;
+            //TODO: Comment.
+            std::string guiText_;
+            std::string guiImage_;
     }; // tolua_export
 } // tolua_export
Index: code/branches/pickup2/src/orxonox/pickup/DroppedItem.cc
===================================================================
--- code/branches/pickup2/src/orxonox/pickup/DroppedItem.cc	(revision 5946)
+++ code/branches/pickup2/src/orxonox/pickup/DroppedItem.cc	(revision 5947)
@@ -41,4 +41,8 @@
     CreateFactory(DroppedItem);
 
+    /**
+    @brief
+        Constructor. Registers object and sets default values.
+    */
     DroppedItem::DroppedItem(BaseObject* creator) : StaticEntity(creator)
     {
@@ -47,14 +51,29 @@
         this->triggerDistance_ = 20.0f;
         this->timeToLive_ = 0;
-        this->item_ = 0;
+        this->item_ = NULL;
     }
+
+    /**
+    @brief
+        Default destructor.
+    */
+    //TODO: Destroy something?
     DroppedItem::~DroppedItem()
     {
+        
     }
+
+    /**
+    @brief
+        Checks whether any pawn is in triggerDistance of the Item and calls this->trigger if so.
+    @param dt
+        The  duration of the last time interval.    
+    */
+    //TODO: Replace this with a DistanceTrigger!
     void DroppedItem::tick(float dt)
     {
         if (this->item_)
         {
-            for (ObjectList<Pawn>::iterator it = ObjectList<Pawn>::begin(); it != ObjectList<Pawn>::end(); ++it)
+            for (ObjectList<Pawn>::iterator it = ObjectList<Pawn>::begin(); it != ObjectList<Pawn>::end(); ++it) //!< Iterate through all Pawns.
             {
                 Vector3 distance = it->getWorldPosition() - this->getWorldPosition();
@@ -64,7 +83,12 @@
         }
     }
+
+    /**
+    @brief
+        Called when the DroppedItem is triggered. Adds the item to the triggering pawn.
+    */
     void DroppedItem::trigger(Pawn* pawn)
     {
-        if (this->item_->pickedUp(pawn))
+        if (this->item_->pickedUp(pawn)) //If pickup was successful.
         {
             COUT(3) << "DroppedItem '" << this->item_->getPickupIdentifier() << "' picked up." << std::endl;
@@ -72,4 +96,10 @@
         }
     }
+
+    /**
+    @brief
+        Creates a timer to call this->timerCallback() at expiration of timeToLive.
+    */
+    //TODO: Better Comments.
     void DroppedItem::createTimer()
     {
@@ -79,4 +109,12 @@
         }
     }
+    
+    /**
+    @brief
+        Destroys the item. Called by the set timer upon its expiration.
+    */
+    //TODO: Choose better function name if this doesn't create dependency inconsistencies. e.g. this->destroy() or this->timeOut()
+    //Make certain that only one pawn has the same item, because if not, deliting the item would lead to a possible segfault.
+    //If the item is destroyed here, shouldn't it be destroyed in the destructor as well?
     void DroppedItem::timerCallback()
     {
@@ -90,5 +128,16 @@
     }
 
-    DroppedItem* DroppedItem::createDefaultDrop(BaseItem* item, const Vector3& position, const ColourValue& flareColour, float timeToLive)
+    /**
+    @brief
+        
+    */
+    //TODO: Comment.
+    //This is for pawns dropping items they have...
+    //Probably better to create a spawner with only 1 item in it.
+    //Various different thigs are done here, which in my opinion should eighter be done in XML or some where else, preferably in XML.
+    //Each pickup should have a XML template where the Model and Billboard, and so on, is specified.
+    //The position, item and timetoLive should be specified by this Classes XMLPort function.
+    //These adjustments above, will very likely create inkonsistencies in the level files, possibly templates.
+    /*static*/ DroppedItem* DroppedItem::createDefaultDrop(BaseItem* item, const Vector3& position, const ColourValue& flareColour, float timeToLive)
     {
         DroppedItem* drop = new DroppedItem(item);
@@ -116,4 +165,10 @@
         return drop;
     }
+
+    /**
+    @brief
+
+    */
+    //TODO: See one function above.
     DroppedItem* DroppedItem::createDefaultDrop(BaseItem* item, Pawn* pawn, const ColourValue& flareColour, float timeToLive)
     {
Index: code/branches/pickup2/src/orxonox/pickup/DroppedItem.h
===================================================================
--- code/branches/pickup2/src/orxonox/pickup/DroppedItem.h	(revision 5946)
+++ code/branches/pickup2/src/orxonox/pickup/DroppedItem.h	(revision 5947)
@@ -49,4 +49,11 @@
         virtual ~DroppedItem();
 
+        //TODO: Comment.
+        //DroppedItem -> Item with no owner, alone in space?
+        //Would be much nicer if it would be triggered by a standard issue DistanceTrigger.
+        //Where is this created? I see no XMLPort.
+        //Where is the item for this created? What happens if more than one pawn triggers this?
+        //Add more than just one items, or even better create the ability to add a Collection.? Rename to ...?
+
         void tick(float dt);
         void trigger(Pawn* pawn);
@@ -55,6 +62,6 @@
         static DroppedItem* createDefaultDrop(BaseItem* item, Pawn* pawn, const ColourValue& flareColour = ColourValue(0.5f, 1.0f, 0.3f), float timeToLive = 0);
 
-        void createTimer();
-        void timerCallback();
+        void createTimer(); //TODO: Can this be made private, too?
+        void timerCallback(); //TODO: This should really be private.
 
         inline float getTriggerDistance() const
@@ -65,4 +72,5 @@
         inline BaseItem* getItem() const
             { return this->item_; }
+        //TODO: Needs to be public?
         inline void setItem(BaseItem* item)
             { this->item_ = item; }
@@ -70,4 +78,5 @@
         inline float getTimeToLive() const
             { return this->timeToLive_; }
+        //TODO: Needs to be public?
         inline void setTimeToLive(float time)
             { this->timeToLive_ = time; }
Index: code/branches/pickup2/src/orxonox/pickup/EquipmentItem.cc
===================================================================
--- code/branches/pickup2/src/orxonox/pickup/EquipmentItem.cc	(revision 5946)
+++ code/branches/pickup2/src/orxonox/pickup/EquipmentItem.cc	(revision 5947)
@@ -38,6 +38,6 @@
 {
     /**
-        @brief Constructor. Registers the EquipmentItem.
-        @param creator Pointer to the object which created this item.
+    @brief Constructor. Registers the EquipmentItem.
+    @param creator Pointer to the object which created this item.
     */
     EquipmentItem::EquipmentItem(BaseObject* creator) : BaseItem(creator)
Index: code/branches/pickup2/src/orxonox/pickup/EquipmentItem.h
===================================================================
--- code/branches/pickup2/src/orxonox/pickup/EquipmentItem.h	(revision 5946)
+++ code/branches/pickup2/src/orxonox/pickup/EquipmentItem.h	(revision 5947)
@@ -41,12 +41,17 @@
 {
     /**
-        @brief Base class for all equipment-type items.
-        @author Daniel 'Huty' Haggenmueller
+    @brief Base class for all equipment-type items.
+    @author Daniel 'Huty' Haggenmueller
     */
     class _OrxonoxExport EquipmentItem : public BaseItem
     {
-    public:
-        EquipmentItem(BaseObject* creator);
-        virtual ~EquipmentItem() {}
+        //TODO: What is this class for?
+        //Probably falls under UsableItem or PassiveItem
+        public:
+            EquipmentItem(BaseObject* creator);
+            virtual ~EquipmentItem() {}
+
+        
+
     };
 }
Index: code/branches/pickup2/src/orxonox/pickup/ModifierPickup.cc
===================================================================
--- code/branches/pickup2/src/orxonox/pickup/ModifierPickup.cc	(revision 5946)
+++ code/branches/pickup2/src/orxonox/pickup/ModifierPickup.cc	(revision 5947)
@@ -43,6 +43,8 @@
 
     /**
-        @brief Constructor. Registers the ModifierPickup.
-        @param creator Pointer to the object which created this item.
+    @brief
+        Constructor. Registers the ModifierPickup.
+    @param creator
+        Pointer to the object which created this item.
     */
     ModifierPickup::ModifierPickup(BaseObject* creator) : PassiveItem(creator)
@@ -52,13 +54,23 @@
         this->duration_ = 0.0f;
     }
-    //! Deconstructor.
+
+    /**
+    @brief
+        Destructor.
+    */
     ModifierPickup::~ModifierPickup()
     {
-    }
-    /**
-        @brief Method for loading information from a level file.
-        @param element XMLElement from which to read the data.
-        @param mode XMLPort mode to use.
-    */
+        
+    }
+
+    /**
+    @brief
+        Method for loading information from a level file.
+    @param element
+        XMLElement from which to read the data.
+    @param mode
+        XMLPort mode to use.
+    */
+    //TODO: Comments: params can probably be ommitted. 
     void ModifierPickup::XMLPort(Element& element, XMLPort::Mode mode)
     {
@@ -73,13 +85,16 @@
         XMLPortParamTemplate(ModifierPickup, "accelerationMulti", setMultiplicativeAcceleration, getMultiplicativeAcceleration, element, mode, float);
     }
-    /**
-        @brief
-            Invoked when a pawn picks up the pickup.
-
-            Adds the modifiers to the pawn and sets a timer (if effect is limited)
-            if the pickup could be added to the pawn's PickupCollection.
-
-        @param pawn Pawn which picked up the pickup.
-        @return Returns whether the pickup was able to be added to the pawn.
+
+    /**
+    @brief
+        Invoked when a pawn picks up the pickup.
+
+        Adds the modifiers to the pawn and sets a timer (if effect is limited)
+        if the pickup could be added to the pawn's PickupCollection.
+
+    @param pawn
+        Pawn which picked up the pickup.
+    @return
+        Returns whether the pickup was able to be added to the pawn.
     */
     bool ModifierPickup::pickedUp(Pawn* pawn)
@@ -110,13 +125,16 @@
         return false;
     }
-    /**
-        @brief
-            Invoked when a pawn drops the pickup.
-
-            Removes the modifiers from the pawn if the pickup
-            was successfully removed from it's PickupCollection.
-
-        @param pawn Pawn which dropped the pickup.
-        @return Returns whether the pickup could be removed.
+
+    /**
+    @brief
+        Invoked when a pawn drops the pickup.
+
+        Removes the modifiers from the pawn if the pickup
+        was successfully removed from it's PickupCollection.
+
+    @param pawn
+        Pawn which dropped the pickup.
+    @return 
+        Returns whether the pickup could be removed.
     */
     bool ModifierPickup::dropped(Pawn* pawn)
@@ -145,7 +163,9 @@
         return false;
     }
-    /**
-        @brief Invoked when the timer finished, calls dropped().
-    */
+
+    /**
+    @brief Invoked when the timer finished, calls dropped().
+    */
+    //TODO: Other name for function?
     void ModifierPickup::timerCallback(Pawn* pawn)
     {
@@ -153,8 +173,12 @@
             COUT(2) << "Failed to remove modifier pickup after the timer ran out!" << std::endl;
     }
-    /**
-        @brief Gets the additive modifier of a given type.
-        @param type ModifierType for which to return the modifier.
-        @return Returns the additive modifier for type (or 0 if not exists).
+
+    /**
+    @brief
+        Gets the additive modifier of a given type.
+    @param type
+        ModifierType for which to return the modifier.
+    @return
+        Returns the additive modifier for type (or 0 if not exists).
     */
     float ModifierPickup::getAdditiveModifier(ModifierType::Value type) const
@@ -166,8 +190,12 @@
             return 0.0f;
     }
-    /**
-        @brief Gets the multiplicative modifier of a given type.
-        @param type ModifierType for which to return the modifier.
-        @return Returns the multiplicative modifier for type (or 1 if not exists).
+
+    /**
+    @brief
+        Gets the multiplicative modifier of a given type.
+    @param type
+        ModifierType for which to return the modifier.
+    @return
+        Returns the multiplicative modifier for type (or 1 if not exists).
     */
     float ModifierPickup::getMultiplicativeModifier(ModifierType::Value type) const
@@ -179,8 +207,12 @@
             return 1.0f;
     }
-    /**
-        @brief Gets the additive modifier of a given type.
-        @param type ModifierType for which to return the modifier.
-        @param value The new additive modifier for type.
+
+    /**
+    @brief
+        Gets the additive modifier of a given type.
+    @param type
+        ModifierType for which to return the modifier.
+    @param value
+        The new additive modifier for type.
     */
     void ModifierPickup::setAdditiveModifier(ModifierType::Value type, float value)
@@ -191,8 +223,12 @@
             this->additiveModifiers_[type] = value;
     }
-    /**
-        @brief Gets the multiplicative modifier of a given type.
-        @param type ModifierType for which to return the modifier.
-        @param value The new multiplicative modifier for type.
+
+    /**
+    @brief
+        Gets the multiplicative modifier of a given type.
+    @param type
+        ModifierType for which to return the modifier.
+    @param value
+        The new multiplicative modifier for type.
     */
     void ModifierPickup::setMultiplicativeModifier(ModifierType::Value type, float value)
@@ -203,3 +239,4 @@
             this->multiplicativeModifiers_[type] = value;
     }
+
 }
Index: code/branches/pickup2/src/orxonox/pickup/ModifierPickup.h
===================================================================
--- code/branches/pickup2/src/orxonox/pickup/ModifierPickup.h	(revision 5946)
+++ code/branches/pickup2/src/orxonox/pickup/ModifierPickup.h	(revision 5947)
@@ -47,98 +47,110 @@
 {
     /**
-        @brief Class for a (temporary) modifier effect.
-        @author Daniel 'Huty' Haggenmueller
+    @brief Class for a (temporary) modifier effect.
+    @author Daniel 'Huty' Haggenmueller
     */
+    //TODO: More elaborate comments.
     class _OrxonoxExport ModifierPickup : public PassiveItem
     {
-    public:
-        ModifierPickup(BaseObject* creator);
-        virtual ~ModifierPickup();
+        //TODO: What does being derived from PassiveItem add exactly? Probably better to kill PassiveItem and just derive from BaseItem.
+        //Include ModifierType here, no additional header file needed for that, imo.
+        public:
+            ModifierPickup(BaseObject* creator);
+            virtual ~ModifierPickup();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);  //!< To create a ModifierPickup through the level file.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< To create a ModifierPickup through the level file.
 
-        virtual bool pickedUp(Pawn* pawn);                              //!< Override of the BaseItem::pickedUp() method.
-        virtual bool dropped(Pawn* pawn);                               //!< Override of the BaseItem::dropped() method
+            virtual bool pickedUp(Pawn* pawn); //!< Override of the BaseItem::pickedUp() method.
+            virtual bool dropped(Pawn* pawn); //!< Override of the BaseItem::dropped() method
 
-        virtual int getMaxCarryAmount(){ return INT_MAX; }              //!< Allow the player to carry infinite ModPickups
+            //TODO: Where does this INT_MAX come from? Comment.
+            virtual int getMaxCarryAmount() //!< Allow the player to carry infinite ModPickups
+                { return INT_MAX; }
 
-        /**
+            /**
             @brief Get the duration of this pickup.
             @return Returns how long the effect holds on.
-        */
-        inline float getDuration() const
-            { return this->duration_; }
-        /**
+            */
+            inline float getDuration() const
+                { return this->duration_; }
+            /**
             @brief Set the duration of this pickup.
             @param duration How long the effect should hold.
-        */
-        inline void setDuration(float duration)
-            { this->duration_ = duration; }
+            */
+            //TODO: Better be private?
+            inline void setDuration(float duration)
+                { this->duration_ = duration; }
 
-        /**
+            //TODO: Shouldn't these all be seperate pickup items? But, then, would this class really be needed? What does it actually add?
+            //Duration! Thus create two virtual functions addEffect() and removeEffect().
+            //Export the ideas here into seperate, individual subclasses.
+            //Shouldn't this, as an item be in the items folder? or is it, as merely the equivalent of an abstract class not specific enough?
+            //Specify what ModifierItem should do exactly. If the limited duration is the core functionality, another name would probably more fitting.
+            //Perhaps, limited effect duration could also just be another feature of BaseItem...
+            /**
             @brief Get the amount of damage this pickup adds.
             @return Returns how much damage this pickup adds.
-        */
-        inline float getAdditiveDamage() const
-            { return this->getAdditiveModifier(ModifierType::Damage); }
-        /**
+            */
+            inline float getAdditiveDamage() const
+                { return this->getAdditiveModifier(ModifierType::Damage); }
+            /**
             @brief Get the factor by which this pickup multiplies the damage.
             @return Returns the factor by which to multiply damage.
-        */
-        inline float getMultiplicativeDamage() const
-            { return this->getMultiplicativeModifier(ModifierType::Damage); }
+            */
+            inline float getMultiplicativeDamage() const
+                { return this->getMultiplicativeModifier(ModifierType::Damage); }
 
-        /**
+            /**
             @brief Set the amount of damage this pickup adds.
             @param value How much damage this pickup adds.
-        */
-        inline void setAdditiveDamage(float value)
-            { this->setAdditiveModifier(ModifierType::Damage, value); }
-        /**
+            */
+            inline void setAdditiveDamage(float value)
+                { this->setAdditiveModifier(ModifierType::Damage, value); }
+            /**
             @brief Set the factor by which this pickup multiplies the damage.
             @param value Factor by which to multiply damage.
-        */
-        inline void setMultiplicativeDamage(float value)
-            { this->setMultiplicativeModifier(ModifierType::Damage, value); }
+            */
+            inline void setMultiplicativeDamage(float value)
+                { this->setMultiplicativeModifier(ModifierType::Damage, value); }
 
-        /**
+            /**
             @brief Get the amount of acceleration this pickup adds.
             @return Returns how much acceleration this pickup adds.
-        */
-        inline float getAdditiveAcceleration() const
-            { return this->getAdditiveModifier(ModifierType::Acceleration); }
-        /**
+            */
+            inline float getAdditiveAcceleration() const
+                { return this->getAdditiveModifier(ModifierType::Acceleration); }
+            /**
             @brief Get the factor by which this pickup multiplies the acceleration.
             @return Returns the factor by which to multiply acceleration.
-        */
-        inline float getMultiplicativeAcceleration() const
-            { return this->getMultiplicativeModifier(ModifierType::Acceleration); }
+            */
+            inline float getMultiplicativeAcceleration() const
+                { return this->getMultiplicativeModifier(ModifierType::Acceleration); }
 
-        /**
+            /**
             @brief Set the amount of acceleration this pickup adds.
             @param value How much acceleration this pickup adds.
-        */
-        inline void setAdditiveAcceleration(float value)
-            { this->setAdditiveModifier(ModifierType::Acceleration, value); }
-        /**
+            */
+            inline void setAdditiveAcceleration(float value)
+                { this->setAdditiveModifier(ModifierType::Acceleration, value); }
+            /**
             @brief Set the factor by which this pickup multiplies the acceleration.
             @param value Factor by which to multiply acceleration.
-        */
-        inline void setMultiplicativeAcceleration(float value)
-            { this->setMultiplicativeModifier(ModifierType::Acceleration, value); }
+            */
+            inline void setMultiplicativeAcceleration(float value)
+                { this->setMultiplicativeModifier(ModifierType::Acceleration, value); }
 
-        void timerCallback(Pawn* pawn);     //!< Method called when the timer runs out.
-        
-    private:
-        float getAdditiveModifier(ModifierType::Value type) const;               //!< Get the additive modifier for a given ModifierType.
-        float getMultiplicativeModifier(ModifierType::Value type) const;         //!< Get the multiplicative modifier for a given ModifierType.
-        void setAdditiveModifier(ModifierType::Value type, float value);         //!< Set the additive modifier for a given ModifierType.
-        void setMultiplicativeModifier(ModifierType::Value type, float value);   //!< Set the multiplicative modifier for a given ModifierType
+            //TODO: Make private?
+            void timerCallback(Pawn* pawn);     //!< Method called when the timer runs out.
+        private:
+            float getAdditiveModifier(ModifierType::Value type) const;               //!< Get the additive modifier for a given ModifierType.
+            float getMultiplicativeModifier(ModifierType::Value type) const;         //!< Get the multiplicative modifier for a given ModifierType.
+            void setAdditiveModifier(ModifierType::Value type, float value);         //!< Set the additive modifier for a given ModifierType.
+            void setMultiplicativeModifier(ModifierType::Value type, float value);   //!< Set the multiplicative modifier for a given ModifierType
 
-        std::map<ModifierType::Value, float> additiveModifiers_;                 //!< Map of additive modifiers, indexed by ModifierType.
-        std::map<ModifierType::Value, float> multiplicativeModifiers_;           //!< Map of multiplicative modifiers, indexed by ModifierType.
+            std::map<ModifierType::Value, float> additiveModifiers_;                 //!< Map of additive modifiers, indexed by ModifierType.
+            std::map<ModifierType::Value, float> multiplicativeModifiers_;           //!< Map of multiplicative modifiers, indexed by ModifierType.
 
-        float duration_;                                                         //!< Duration of this pickup's effect (0 for unlimited).
-        Timer timer_;                                                            //!< Timer used if the pickup's effect has a time limit.
+            float duration_;                                                         //!< Duration of this pickup's effect (0 for unlimited).
+            Timer timer_;                                                            //!< Timer used if the pickup's effect has a time limit.
     };
 }
Index: code/branches/pickup2/src/orxonox/pickup/ModifierType.h
===================================================================
--- code/branches/pickup2/src/orxonox/pickup/ModifierType.h	(revision 5946)
+++ code/branches/pickup2/src/orxonox/pickup/ModifierType.h	(revision 5947)
@@ -39,4 +39,5 @@
 namespace orxonox
 {
+    //TODO: Merge with ModifierPickup.
     namespace ModifierType
     {
Index: code/branches/pickup2/src/orxonox/pickup/PassiveItem.cc
===================================================================
--- code/branches/pickup2/src/orxonox/pickup/PassiveItem.cc	(revision 5946)
+++ code/branches/pickup2/src/orxonox/pickup/PassiveItem.cc	(revision 5947)
@@ -33,6 +33,6 @@
 {
     /**
-        @brief Constructor. Registers the PassiveItem.
-        @param creator Pointer to the object which created this item.
+    @brief Constructor. Registers the PassiveItem.
+    @param creator Pointer to the object which created this item.
     */
     PassiveItem::PassiveItem(BaseObject* creator) : BaseItem(creator)
Index: code/branches/pickup2/src/orxonox/pickup/PassiveItem.h
===================================================================
--- code/branches/pickup2/src/orxonox/pickup/PassiveItem.h	(revision 5946)
+++ code/branches/pickup2/src/orxonox/pickup/PassiveItem.h	(revision 5947)
@@ -41,12 +41,15 @@
 {
     /**
-        @brief Base class for all passive items.
-        @author Daniel 'Huty' Haggenmueller
+    @brief Base class for all passive items.
+    @author Daniel 'Huty' Haggenmueller
     */
     class _OrxonoxExport PassiveItem : public BaseItem
     {
-    public:
-        PassiveItem(BaseObject* creator);
-        virtual ~PassiveItem() {}
+        //TODO: What is this Class for. Where is ActiveItem?
+        //Rename it InstantItem?
+        public:
+            PassiveItem(BaseObject* creator);
+            virtual ~PassiveItem() {}
+
     };
 }
Index: code/branches/pickup2/src/orxonox/pickup/PickupCollection.h
===================================================================
--- code/branches/pickup2/src/orxonox/pickup/PickupCollection.h	(revision 5946)
+++ code/branches/pickup2/src/orxonox/pickup/PickupCollection.h	(revision 5947)
@@ -47,74 +47,77 @@
 {
     /**
-        @brief PickupCollection for organising items.
-        @author Daniel 'Huty' Haggenmueller
+    @brief PickupCollection for organising items.
+    @author Daniel 'Huty' Haggenmueller
     */
     class _OrxonoxExport PickupCollection
     {
-    public:
-        PickupCollection();
+        public:
+            //TODO: Should probably be derived from OrxonoxClass???
+            PickupCollection();
 
-        bool add(BaseItem* item);       //!< Add an item to the collection.
+            bool add(BaseItem* item);       //!< Add an item to the collection.
 
-        bool checkSlot(BaseItem* item); //!< Check if there's a free slot in the collection for an item.
+            bool checkSlot(BaseItem* item); //!< Check if there's a free slot in the collection for an item.
 
-        void clear();                   //!< Empty the collection
-        bool contains(BaseItem* item, bool anyOfType = false);                      //!< Check if the collection contains an item.
+            void clear();                   //!< Empty the collection
+            bool contains(BaseItem* item, bool anyOfType = false);                      //!< Check if the collection contains an item.
 
-        void remove(BaseItem* item, bool removeAllOfType = false);                  //!< Remove an item from the collection.
+            void remove(BaseItem* item, bool removeAllOfType = false);                  //!< Remove an item from the collection.
 
-        void useItem();                                                             //!< Use the first usable item.
-        void useItem(UsableItem* item);                                             //!< Use a usable item.
+            //TODO: What's up with that?
+            void useItem();                                                             //!< Use the first usable item.
+            void useItem(UsableItem* item);                                             //!< Use a usable item.
 
-        void addAdditiveModifier(ModifierType::Value type, float value);             //!< Add an additive modifier.
-        void addMultiplicativeModifier(ModifierType::Value type, float value);       //!< Add a multiplicative modifier.
+            //TODO: This really shouldn't be here. It's nbot the Collections business to know about stuff like that.
+            void addAdditiveModifier(ModifierType::Value type, float value);             //!< Add an additive modifier.
+            void addMultiplicativeModifier(ModifierType::Value type, float value);       //!< Add a multiplicative modifier.
 
-        float getAdditiveModifier(ModifierType::Value type);                         //!< Get total additive modifier.
-        float getMultiplicativeModifier(ModifierType::Value type);                   //!< Get total multiplicative modifier.
+            float getAdditiveModifier(ModifierType::Value type);                         //!< Get total additive modifier.
+            float getMultiplicativeModifier(ModifierType::Value type);                   //!< Get total multiplicative modifier.
 
-        void removeAdditiveModifier(ModifierType::Value type, float value);          //!< Remove an additive modifier.
-        void removeMultiplicativeModifier(ModifierType::Value type, float value);    //!< Remove a multiplicative modifier.
+            void removeAdditiveModifier(ModifierType::Value type, float value);          //!< Remove an additive modifier.
+            void removeMultiplicativeModifier(ModifierType::Value type, float value);    //!< Remove a multiplicative modifier.
 
-        float processModifiers(ModifierType::Value type, float inputValue, bool addBeforeMultiplication = false);        //!< Apply the modifiers to a float.
-        Vector3 processModifiers(ModifierType::Value type, Vector3 inputValue, bool addBeforeMultiplication = false);    //!< Apply the modifiers to a Vector3.
+            float processModifiers(ModifierType::Value type, float inputValue, bool addBeforeMultiplication = false);        //!< Apply the modifiers to a float.
+            Vector3 processModifiers(ModifierType::Value type, Vector3 inputValue, bool addBeforeMultiplication = false);    //!< Apply the modifiers to a Vector3.
 
-        /**
-            @brief Get the map of contained items.
-            @return The map of items.
-        */
-        std::multimap<std::string, BaseItem*> getItems() const
-            { return this->items_; }
+            /**
+                @brief Get the map of contained items.
+                @return The map of items.
+            */
+            std::multimap<std::string, BaseItem*> getItems() const
+                { return this->items_; }
 
-        /**
-            @brief Get the owner of the PickupCollection.
-            @return Returns the pawn which owns the PickupCollection.
-        */
-        inline Pawn* getOwner() const
-            { return this->owner_; }
-        /**
-            @brief Set the owner of the PickupCollection.
-            @param owner The new Pawn which owns the PickupCollection.
-        */
-        inline void setOwner(Pawn* owner)
-            { this->owner_ = owner; }
+            /**
+                @brief Get the owner of the PickupCollection.
+                @return Returns the pawn which owns the PickupCollection.
+            */
+            inline Pawn* getOwner() const
+                { return this->owner_; }
+            /**
+                @brief Set the owner of the PickupCollection.
+                @param owner The new Pawn which owns the PickupCollection.
+            */
+            inline void setOwner(Pawn* owner)
+                { this->owner_ = owner; }
 
-        inline UsableItem* getCurrentUsable()
-            { return this->currentUsable_; };
-        inline void setCurrentUsable(UsableItem* usable)
-            { this->currentUsable_ = usable; }
+            inline UsableItem* getCurrentUsable()
+                { return this->currentUsable_; };
+            inline void setCurrentUsable(UsableItem* usable)
+                { this->currentUsable_ = usable; }
 
-        std::deque<EquipmentItem*> getEquipmentItems();   //!< Get a list of equipment-type items.
-        std::deque<PassiveItem*> getPassiveItems();     //!< Get a list of passive items.
-        std::deque<UsableItem*> getUsableItems();      //!< Get a list of usable items.
-    private:
-        Pawn* owner_;           //!< The owner of the PickupCollection.
-        UsableItem* currentUsable_;
+            std::deque<EquipmentItem*> getEquipmentItems();   //!< Get a list of equipment-type items.
+            std::deque<PassiveItem*> getPassiveItems();     //!< Get a list of passive items.
+            std::deque<UsableItem*> getUsableItems();      //!< Get a list of usable items.
+        private:
+            Pawn* owner_;           //!< The owner of the PickupCollection.
+            UsableItem* currentUsable_;
 
-        bool bBlockRemovals_;   //!< Whether to block direct removals through remove().
+            bool bBlockRemovals_;   //!< Whether to block direct removals through remove().
 
-        std::multimap<ModifierType::Value, float> additiveModifiers_;        //!< Contains additive modifiers (indexed by ModifierType).
-        std::multimap<ModifierType::Value, float> multiplicativeModifiers_;  //!< Contains multiplicative modifiers (indexed by ModifierType).
+            std::multimap<ModifierType::Value, float> additiveModifiers_;        //!< Contains additive modifiers (indexed by ModifierType).
+            std::multimap<ModifierType::Value, float> multiplicativeModifiers_;  //!< Contains multiplicative modifiers (indexed by ModifierType).
 
-        std::multimap<std::string, BaseItem*> items_;                       //!< Map of items in the collection (indexed by pickupIdentifier of the items).
+            std::multimap<std::string, BaseItem*> items_;                       //!< Map of items in the collection (indexed by pickupIdentifier of the items).
     };
 }
Index: code/branches/pickup2/src/orxonox/pickup/PickupInventory.cc
===================================================================
--- code/branches/pickup2/src/orxonox/pickup/PickupInventory.cc	(revision 5946)
+++ code/branches/pickup2/src/orxonox/pickup/PickupInventory.cc	(revision 5947)
@@ -52,4 +52,14 @@
 
     PickupInventory* PickupInventory::pickupInventory_s = NULL;
+
+    //TODO: Comment.
+
+    /**
+    @brief
+        Get a Pointer to the PickupInventory Singleton.
+    @return
+        A Pointer to the PickupInventory.
+    */
+    //TODO: Make SingeltonPtr?
     PickupInventory* PickupInventory::getSingleton()
     {
@@ -60,8 +70,14 @@
     }
 
+    /**
+    @brief
+        Constructor. 
+    */
     PickupInventory::PickupInventory()
     {
-        this->bInventoryVisible_ = false;
-        this->visibleEquipmentWindows_ = this->visibleUsableWIndows_ = 0;
+        //TODO: Maybe some abstraction for the usableWindows, e.g. push and pop...
+        //RegisterObject() ? In some other Class, too. Which?
+        this->bInventoryVisible_ = false; //TODO: If OrxonoxClass, this should already be there...
+        this->visibleEquipmentWindows_ = this->visibleUsableWindows_ = 0;
 
         // Create some windows to avoid creating them while playing
@@ -77,11 +93,19 @@
         this->createdEquipmentWindows_ = this->createdUsableWindows_ = 10;
     }
+
+    /**
+    @brief
+        Destructor.
+    */
+    //TODO: Destroy something?
     PickupInventory::~PickupInventory()
     {
     }
 
-
-
-    void PickupInventory::toggleInventory()
+    /**
+    @brief
+        Toggles the visibility of the inventory.
+    */
+    /*static*/ void PickupInventory::toggleInventory()
     {
         if(PickupInventory::getSingleton()->isVisible()) {
@@ -99,4 +123,8 @@
     }
 
+    /**
+    @brief
+        
+    */
     unsigned int PickupInventory::getCurrentUsableIndex()
     {
@@ -115,4 +143,5 @@
         return 0;
     }
+
     bool PickupInventory::isCurrentUsable(const BaseItem* item)
     {
@@ -123,4 +152,5 @@
             return false;
     }
+
     void PickupInventory::selectUsable(unsigned int i)
     {
@@ -142,4 +172,5 @@
             return 0;
     }
+
     unsigned int PickupInventory::getUsableCount()
     {
@@ -150,4 +181,5 @@
             return 0;
     }
+
     unsigned int PickupInventory::getPassiveCount()
     {
@@ -158,4 +190,5 @@
             return 0;
     }
+
     BaseItem* PickupInventory::getEquipmentItem(unsigned int i)
     {
@@ -170,4 +203,5 @@
             return NULL;
     }
+
     BaseItem* PickupInventory::getUsableItem(unsigned int i)
     {
@@ -182,4 +216,5 @@
             return NULL;
     }
+
     BaseItem* PickupInventory::getPassiveItem(unsigned int i)
     {
@@ -225,5 +260,5 @@
             equipPane->removeChildWindow("orxonox/Inventory/Items/equ/" + id.str());*/
         }
-        for(unsigned int i = 0; i < this->visibleUsableWIndows_; i++)
+        for(unsigned int i = 0; i < this->visibleUsableWindows_; i++)
         {
             std::ostringstream id;
@@ -239,4 +274,5 @@
         }
     }
+
     void PickupInventory::updateTabs(CEGUI::WindowManager *winMgr, CEGUI::Window *equipWindow, CEGUI::Window *usableWindow)
     {
@@ -269,4 +305,5 @@
         }
     }
+
     void PickupInventory::updateUsable(CEGUI::WindowManager* winMgr, CEGUI::Window* target)
     {
@@ -296,5 +333,5 @@
                 PickupInventory::setWindowProperties(winMgr, target, id.str(), item, colour);
             }
-            this->visibleUsableWIndows_ = items.size();
+            this->visibleUsableWindows_ = items.size();
         }
     }
@@ -326,4 +363,5 @@
         btn->setVisible(false);
     }
+
     void PickupInventory::setWindowProperties(CEGUI::WindowManager* winMgr, CEGUI::Window* target, const std::string& id, const BaseItem* item, const std::string& textColour)
     {
@@ -350,3 +388,4 @@
         target->addChildWindow(btn);
     }
+
 }
Index: code/branches/pickup2/src/orxonox/pickup/PickupInventory.h
===================================================================
--- code/branches/pickup2/src/orxonox/pickup/PickupInventory.h	(revision 5946)
+++ code/branches/pickup2/src/orxonox/pickup/PickupInventory.h	(revision 5947)
@@ -44,53 +44,55 @@
 {
     /**
-        @brief Static class for the inventory GUI window.
-        @author Daniel 'Huty' Haggenmueller
+    @brief Static class for the inventory GUI window.
+    @author Daniel 'Huty' Haggenmueller
     */
     class _OrxonoxExport PickupInventory
     {
 // tolua_end
-    public:
-        PickupInventory();
-        virtual ~PickupInventory();
+        public:
+            //TODO: Be derived from OrxonoxClass and ScopedSingleton.
+            //Make some methods private?
+            PickupInventory();
+            virtual ~PickupInventory();
 
-        static PickupInventory* getSingleton(); // tolua_export
+            static PickupInventory* getSingleton(); // tolua_export
 
-        static void toggleInventory(); // tolua_export
+            static void toggleInventory(); // tolua_export
 
-        static unsigned int getEquipmentCount(); // tolua_export
-        static unsigned int getUsableCount(); // tolua_export
-        static unsigned int getPassiveCount(); // tolua_export
+            static unsigned int getEquipmentCount(); // tolua_export
+            static unsigned int getUsableCount(); // tolua_export
+            static unsigned int getPassiveCount(); // tolua_export
 
-        static unsigned int getCurrentUsableIndex(); // tolua_export
-        static bool isCurrentUsable(const BaseItem* item); // tolua_export
-        static void selectUsable(unsigned int i); // tolua_export
+            static unsigned int getCurrentUsableIndex(); // tolua_export
+            static bool isCurrentUsable(const BaseItem* item); // tolua_export
+            static void selectUsable(unsigned int i); // tolua_export
 
-        static BaseItem* getEquipmentItem(unsigned int i); // tolua_export
-        static BaseItem* getUsableItem(unsigned int i); // tolua_export
-        static BaseItem* getPassiveItem(unsigned int i); // tolua_export
+            static BaseItem* getEquipmentItem(unsigned int i); // tolua_export
+            static BaseItem* getUsableItem(unsigned int i); // tolua_export
+            static BaseItem* getPassiveItem(unsigned int i); // tolua_export
 
-        static std::string getImageForItem(const BaseItem* item); // tolua_export
+            static std::string getImageForItem(const BaseItem* item); // tolua_export
 
-        void clearInventory(CEGUI::WindowManager* winMgr, CEGUI::Window* equipPane, CEGUI::Window* usablePane); // tolua_export
-        void updateTabs(CEGUI::WindowManager* winMgr, CEGUI::Window* equipWindow, CEGUI::Window* usableWindow); // tolua_export
+            void clearInventory(CEGUI::WindowManager* winMgr, CEGUI::Window* equipPane, CEGUI::Window* usablePane); // tolua_export
+            void updateTabs(CEGUI::WindowManager* winMgr, CEGUI::Window* equipWindow, CEGUI::Window* usableWindow); // tolua_export
 
-        void updateEquipment(CEGUI::WindowManager* winMgr, CEGUI::Window* target);
-        void updateUsable(CEGUI::WindowManager* winMgr, CEGUI::Window* target);
+            void updateEquipment(CEGUI::WindowManager* winMgr, CEGUI::Window* target);
+            void updateUsable(CEGUI::WindowManager* winMgr, CEGUI::Window* target);
 
-        static void createItemWindows(CEGUI::WindowManager* winMgr, const std::string& id, int x, int y);
-        static void setWindowProperties(CEGUI::WindowManager* winMgr, CEGUI::Window* target, const std::string& id, const BaseItem* item, const std::string& textColour);
+            static void createItemWindows(CEGUI::WindowManager* winMgr, const std::string& id, int x, int y);
+            static void setWindowProperties(CEGUI::WindowManager* winMgr, CEGUI::Window* target, const std::string& id, const BaseItem* item, const std::string& textColour);
 
-        const bool isVisible() const
-            { return this->bInventoryVisible_; }
-        void setVisible(bool visible)
-            { this->bInventoryVisible_ = visible; }
-    private:
-        bool bInventoryVisible_;
-        unsigned int createdEquipmentWindows_;
-        unsigned int createdUsableWindows_;
-        unsigned int visibleEquipmentWindows_;
-        unsigned int visibleUsableWIndows_;
+            const bool isVisible() const
+                { return this->bInventoryVisible_; }
+            void setVisible(bool visible)
+                { this->bInventoryVisible_ = visible; }
+        private:
+            bool bInventoryVisible_;
+            unsigned int createdEquipmentWindows_;
+            unsigned int createdUsableWindows_;
+            unsigned int visibleEquipmentWindows_;
+            unsigned int visibleUsableWindows_;
 
-        static PickupInventory* pickupInventory_s;
+            static PickupInventory* pickupInventory_s;
     }; // tolua_export
 } // tolua_export
Index: code/branches/pickup2/src/orxonox/pickup/PickupSpawner.cc
===================================================================
--- code/branches/pickup2/src/orxonox/pickup/PickupSpawner.cc	(revision 5946)
+++ code/branches/pickup2/src/orxonox/pickup/PickupSpawner.cc	(revision 5947)
@@ -53,6 +53,8 @@
 
     /**
-        @brief Constructor. Registers the PickupSpawner.
-        @param creator Pointer to the object which created this item.
+    @brief
+        Constructor. Registers the PickupSpawner.
+    @param creator
+        Pointer to the object which created this item.
     */
     PickupSpawner::PickupSpawner(BaseObject* creator) : StaticEntity(creator)
@@ -65,12 +67,21 @@
         this->tickSum_ = 0.0f;
     }
-    //! Deconstructor.
+
+    /**
+    @brief
+        Destructor.
+    */
     PickupSpawner::~PickupSpawner()
     {
-    }
-    /**
-        @brief Method for creating a PickupSpawner through XML.
-        @param xmlelement XML element which contains the PickupSpawner.
-        @param mode XMLPort mode.
+        
+    }
+
+    /**
+    @brief
+        Method for creating a PickupSpawner through XML.
+    @param xmlelement
+        XML element which contains the PickupSpawner.
+    @param mode
+        XMLPort mode.
     */
     void PickupSpawner::XMLPort(Element& xmlelement, XMLPort::Mode mode)
@@ -82,4 +93,5 @@
         XMLPortParam(PickupSpawner, "respawnTime", setRespawnTime, getRespawnTime, xmlelement, mode);
 
+        //TODO: Kill hack.
         // HACKs
         // Load the GUI image as soon as the PickupSpawner gets loaded
@@ -100,6 +112,8 @@
         PickupInventory::getSingleton();
     }
-    /**
-        @brief Invoked when the activity has changed. Sets visibility of attached objects.
+
+    /**
+    @brief
+        Invoked when the activity has changed. Sets visibility of attached objects.
     */
     void PickupSpawner::changedActivity()
@@ -110,7 +124,10 @@
             (*it)->setVisible(this->isActive());
     }
-    /**
-        @brief Set the template name of the item to spawn, also loads the template.
-        @param name Name of the new template.
+
+    /**
+    @brief
+        Set the template name of the item to spawn, also loads the template.
+    @param name
+        Name of the new template.
     */
     void PickupSpawner::setItemTemplateName(const std::string& name)
@@ -119,8 +136,12 @@
         this->itemTemplate_ = Template::getTemplate(name);
     }
-    /**
-        @brief Tick, checks if any Pawn is close enough to trigger.
-        @param dt Time since last tick.
-    */
+
+    /**
+    @brief
+        Tick, checks if any Pawn is close enough to trigger.
+    @param dt
+        Time since last tick.
+    */
+    //TODO: Replace this with a real DistanceTrigger.
     void PickupSpawner::tick(float dt)
     {
@@ -140,12 +161,14 @@
         }
     }
-    /**
-        @brief
-            Trigger the PickupSpawner.
-
-            Adds the pickup to the Pawn that triggered,
-            sets the timer to re-activate and deactives the PickupSpawner.
-
-        @param pawn Pawn which triggered the PickupSpawner.
+
+    /**
+    @brief
+        Trigger the PickupSpawner.
+
+        Adds the pickup to the Pawn that triggered,
+        sets the timer to re-activate and deactives the PickupSpawner.
+
+    @param pawn
+        Pawn which triggered the PickupSpawner.
     */
     void PickupSpawner::trigger(Pawn* pawn)
@@ -177,6 +200,8 @@
         }
     }
-    /**
-        @brief Invoked by the timer, re-activates the PickupSpawner.
+
+    /**
+    @brief
+        Invoked by the timer, re-activates the PickupSpawner.
     */
     void PickupSpawner::respawnTimerCallback()
Index: code/branches/pickup2/src/orxonox/pickup/PickupSpawner.h
===================================================================
--- code/branches/pickup2/src/orxonox/pickup/PickupSpawner.h	(revision 5946)
+++ code/branches/pickup2/src/orxonox/pickup/PickupSpawner.h	(revision 5947)
@@ -50,69 +50,70 @@
     class _OrxonoxExport PickupSpawner : public StaticEntity, public Tickable
     {
-    public:
-        PickupSpawner(BaseObject* creator);
-        virtual ~PickupSpawner();
+        public:
+            //TODO: Add limit of items spawned here. Also possibility to spawn collections?
+            PickupSpawner(BaseObject* creator);
+            virtual ~PickupSpawner();
 
-        virtual void changedActivity();                                 //!< Invoked when activity has changed (set visibilty).
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);  //!< Method for creating a PickupSpawner through XML.
-        virtual void tick(float dt);
+            virtual void changedActivity();                                 //!< Invoked when activity has changed (set visibilty).
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);  //!< Method for creating a PickupSpawner through XML.
+            virtual void tick(float dt);
 
-        void trigger(Pawn* pawn);                                       //!< Method called when a Pawn is close enough.
-        void respawnTimerCallback();                                    //!< Method called when the timer runs out.
+            void trigger(Pawn* pawn);                                       //!< Method called when a Pawn is close enough.
+            void respawnTimerCallback();                                    //!< Method called when the timer runs out.
 
-        /**
+            /**
             @brief Get the template name for the item to spawn.
             @return Returns the name of the template of the item to spawn.
-        */
-        inline const std::string& getItemTemplateName() const
-            { return this->itemTemplateName_; }
-        void setItemTemplateName(const std::string& name);              //!< Set the template name of the item to spawn.
+            */
+            inline const std::string& getItemTemplateName() const
+                { return this->itemTemplateName_; }
+            void setItemTemplateName(const std::string& name);              //!< Set the template name of the item to spawn.
 
-        /**
-            @brief Get the template for the item to spawn.
-            @return Returns the template of the item to spawn.
-        */
-        inline Template* getItemTemplate() const
-            { return this->itemTemplate_; }
+            /**
+                @brief Get the template for the item to spawn.
+                @return Returns the template of the item to spawn.
+            */
+            inline Template* getItemTemplate() const
+                { return this->itemTemplate_; }
 
-        /**
-            @brief Get the distance in which to trigger.
-            @return Returns the distance in which this gets triggered.
-        */
-        inline float getTriggerDistance() const
-            { return this->triggerDistance_; }
-        /**
-            @brief Set the distance in which to trigger.
-            @param value The new distance in which to trigger.
-        */
-        inline void setTriggerDistance(float value)
-            { this->triggerDistance_ = value; }
+            /**
+                @brief Get the distance in which to trigger.
+                @return Returns the distance in which this gets triggered.
+            */
+            inline float getTriggerDistance() const
+                { return this->triggerDistance_; }
+            /**
+                @brief Set the distance in which to trigger.
+                @param value The new distance in which to trigger.
+            */
+            inline void setTriggerDistance(float value)
+                { this->triggerDistance_ = value; }
 
-        /**
-            @brief Get the time to respawn.
-            @returns Returns the time after which this gets re-actived.
-        */
-        inline float getRespawnTime() const
-            { return this->respawnTime_; }
-        /**
-            @brief Set the time to respawn.
-            @param time New time after which this gets re-actived.
-        */
-        inline void setRespawnTime(float time)
-            { this->respawnTime_ = time; }
-    private:
-        std::string itemTemplateName_;          //!< Template name of the item to spawn.
-        Template* itemTemplate_;                //!< Template of the item to spawn.
+            /**
+                @brief Get the time to respawn.
+                @returns Returns the time after which this gets re-actived.
+            */
+            inline float getRespawnTime() const
+                { return this->respawnTime_; }
+            /**
+                @brief Set the time to respawn.
+                @param time New time after which this gets re-actived.
+            */
+            inline void setRespawnTime(float time)
+                { this->respawnTime_ = time; }
+        private:
+            std::string itemTemplateName_;          //!< Template name of the item to spawn.
+            Template* itemTemplate_;                //!< Template of the item to spawn.
 
-        float triggerDistance_;                 //!< Distance in which this gets triggered.
+            float triggerDistance_;                 //!< Distance in which this gets triggered.
 
-        /* Pickup animation */
-        float tickSum_;                         //!< Adds up tick to use in sine movement
-        static const float bounceSpeed_s;       //!< Speed of pickup to bounce up and down
-        static const float bounceDistance_s;    //!< Distance the pickup bounces up and down
-        static const float rotationSpeed_s;     //!< Rotation speed of pickup
+            /* Pickup animation */
+            float tickSum_;                         //!< Adds up tick to use in sine movement
+            static const float bounceSpeed_s;       //!< Speed of pickup to bounce up and down
+            static const float bounceDistance_s;    //!< Distance the pickup bounces up and down
+            static const float rotationSpeed_s;     //!< Rotation speed of pickup
 
-        float respawnTime_;                     //!< Time after which this gets re-actived.
-        Timer respawnTimer_;                    //!< Timer used for re-activating.
+            float respawnTime_;                     //!< Time after which this gets re-actived.
+            Timer respawnTimer_;                    //!< Timer used for re-activating.
     };
 }
Index: code/branches/pickup2/src/orxonox/pickup/UsableItem.cc
===================================================================
--- code/branches/pickup2/src/orxonox/pickup/UsableItem.cc	(revision 5946)
+++ code/branches/pickup2/src/orxonox/pickup/UsableItem.cc	(revision 5947)
@@ -38,6 +38,6 @@
 {
     /**
-        @brief Constructor. Registers the UsableItem.
-        @param creator Pointer to the object which created this item.
+    @brief Constructor. Registers the UsableItem.
+    @param creator Pointer to the object which created this item.
     */
     UsableItem::UsableItem(BaseObject* creator) : BaseItem(creator) 
Index: code/branches/pickup2/src/orxonox/pickup/UsableItem.h
===================================================================
--- code/branches/pickup2/src/orxonox/pickup/UsableItem.h	(revision 5946)
+++ code/branches/pickup2/src/orxonox/pickup/UsableItem.h	(revision 5947)
@@ -46,13 +46,14 @@
     class _OrxonoxExport UsableItem : public BaseItem
     {
-    public:
-        UsableItem(BaseObject* creator);
-        virtual ~UsableItem() { }
+        //TODO: What is this exactly?
+        public:
+            UsableItem(BaseObject* creator);
+            virtual ~UsableItem() { }
 
-        /**
-            @brief Method invoked when the item is being used.
-            @param pawn Pawn which is using the item.
-        */
-        virtual void used(Pawn* pawn) { }
+            /**
+                @brief Method invoked when the item is being used.
+                @param pawn Pawn which is using the item.
+            */
+            virtual void used(Pawn* pawn) { }
     };
 }
Index: code/branches/pickup2/src/orxonox/pickup/items/HealthImmediate.cc
===================================================================
--- code/branches/pickup2/src/orxonox/pickup/items/HealthImmediate.cc	(revision 5946)
+++ code/branches/pickup2/src/orxonox/pickup/items/HealthImmediate.cc	(revision 5947)
@@ -59,4 +59,5 @@
     }
 
+    //TODO: Should be destroyed anyways...
     bool HealthImmediate::pickedUp(Pawn* pawn)
     {
Index: code/branches/pickup2/src/orxonox/pickup/items/HealthImmediate.h
===================================================================
--- code/branches/pickup2/src/orxonox/pickup/items/HealthImmediate.h	(revision 5946)
+++ code/branches/pickup2/src/orxonox/pickup/items/HealthImmediate.h	(revision 5947)
@@ -45,19 +45,21 @@
     class _OrxonoxExport HealthImmediate : public PassiveItem
     {
-    public:
-        HealthImmediate(BaseObject* creator);
-        virtual ~HealthImmediate();
+        //TODO: Comment.
+        //Does this get destroyed, when the healt is delivered? It seems to me it doesn't.
+        public:
+            HealthImmediate(BaseObject* creator);
+            virtual ~HealthImmediate();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
-        virtual bool pickedUp(Pawn* pawn);
+            virtual bool pickedUp(Pawn* pawn);
 
-        inline float getRecoveredHealth() const
-            { return this->recoveredHealth_; }
-        inline void setRecoveredHealth(float recovery)
-            { this->recoveredHealth_ = recovery; }
+            inline float getRecoveredHealth() const
+                { return this->recoveredHealth_; }
+            inline void setRecoveredHealth(float recovery)
+                { this->recoveredHealth_ = recovery; }
 
-    private:
-        float recoveredHealth_;
+        private:
+            float recoveredHealth_;
     };
 }
Index: code/branches/pickup2/src/orxonox/pickup/items/HealthUsable.cc
===================================================================
--- code/branches/pickup2/src/orxonox/pickup/items/HealthUsable.cc	(revision 5946)
+++ code/branches/pickup2/src/orxonox/pickup/items/HealthUsable.cc	(revision 5947)
@@ -45,6 +45,6 @@
 
     /**
-        @brief Constructor
-        @param creator Object that created this item.
+    @brief Constructor
+    @param creator Object that created this item.
     */
     HealthUsable::HealthUsable(BaseObject* creator) : UsableItem(creator)
@@ -54,12 +54,14 @@
         this->recoveredHealth_ = 0;
     }
+
     //! Deconstructor
     HealthUsable::~HealthUsable()
     {
     }
+
     /**
-        @brief XMLPort for Jump.
-        @param xmlelement Element of the XML-file.
-        @param mode XMLPort mode to use.
+    @brief XMLPort for Jump.
+    @param xmlelement Element of the XML-file.
+    @param mode XMLPort mode to use.
     */
     void HealthUsable::XMLPort(Element& xmlelement, XMLPort::Mode mode)
@@ -69,8 +71,11 @@
         XMLPortParam(HealthUsable, "recoveredHealth", setRecoveredHealth, getRecoveredHealth, xmlelement, mode);
     }
+
     /**
-        @brief Called when the item is used, makes the user "jump".
-        @param pawn Pawn which used te item.
+    @brief Called when the item is used, makes the user "jump".
+    @param pawn Pawn which used te item.
     */
+    //TODO: Jump? Nope! => Comment.
+    //Should be destroyed anyways.
     void HealthUsable::used(Pawn* pawn)
     {
@@ -85,7 +90,8 @@
         }
     }
+
     /**
-        @brief Called when the item is picked up.
-        @param pawn Pawn which picked up the item.
+    @brief Called when the item is picked up.
+    @param pawn Pawn which picked up the item.
     */
     bool HealthUsable::pickedUp(Pawn* pawn)
@@ -93,7 +99,8 @@
         return this->addTo(pawn);
     }
+
     /**
-        @brief Called when the item is dropped, creates a DroppedItem behind the pawn.
-        @param pawn Pawn which dropped the item.
+    @brief Called when the item is dropped, creates a DroppedItem behind the pawn.
+    @param pawn Pawn which dropped the item.
     */
     bool HealthUsable::dropped(Pawn* pawn)
Index: code/branches/pickup2/src/orxonox/pickup/items/Jump.h
===================================================================
--- code/branches/pickup2/src/orxonox/pickup/items/Jump.h	(revision 5946)
+++ code/branches/pickup2/src/orxonox/pickup/items/Jump.h	(revision 5947)
@@ -50,45 +50,46 @@
     class _OrxonoxExport Jump : public UsableItem
     {
-    public:
-        Jump(BaseObject* creator);      //!< Constructor
-        virtual ~Jump();                //!< Deconstructor
+        public:
+            //TODO: Comment. a.s.o.
+            Jump(BaseObject* creator);      //!< Constructor
+            virtual ~Jump();                //!< Deconstructor
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);  //!< XMLPort
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);  //!< XMLPort
 
-        virtual int getMaxCarryAmount() const
-            { return INT_MAX; }
+            virtual int getMaxCarryAmount() const
+                { return INT_MAX; }
 
-        virtual void used(Pawn* pawn);          //!< Called when the item is used.
+            virtual void used(Pawn* pawn);          //!< Called when the item is used.
 
-        virtual bool pickedUp(Pawn* pawn);      //!< Called when the item is picked up.
-        virtual bool dropped(Pawn* pawn);       //!< Called when the item is dropped.
+            virtual bool pickedUp(Pawn* pawn);      //!< Called when the item is picked up.
+            virtual bool dropped(Pawn* pawn);       //!< Called when the item is dropped.
 
-        /**
-            @brief Get the velocity added when the item is used.
-            @return Returns the added velocity (relative to the Pawn).
-        */
-        inline const Vector3& getVelocity() const
-            { return this->velocity_; }
-        /**
-            @brief Set the velocity added when the item is used.
-            @param velocity New added velocity (relative to Pawn).
-        */
-        inline void setVelocity(const Vector3& velocity)
-            { this->velocity_ = velocity; }
-        /**
-            @brief Get the amount of jumps available.
-            @return Returns how many times the item can be used.
-        */
-        inline int getJumpsAvailable() const
-            { return this->jumpsAvailable_; }
-        /**
-            @brief Set the amount of jumps available.
-            @param num New number of available jumps.
-        */
-        inline void setJumpsAvailable(int num)
-            { this->jumpsAvailable_ = num; }
-    private:
-        Vector3 velocity_;      //!< The velocity added when the item is used.
-        int jumpsAvailable_;    //!< Amount of jumps still available.
+            /**
+                @brief Get the velocity added when the item is used.
+                @return Returns the added velocity (relative to the Pawn).
+            */
+            inline const Vector3& getVelocity() const
+                { return this->velocity_; }
+            /**
+                @brief Set the velocity added when the item is used.
+                @param velocity New added velocity (relative to Pawn).
+            */
+            inline void setVelocity(const Vector3& velocity)
+                { this->velocity_ = velocity; }
+            /**
+                @brief Get the amount of jumps available.
+                @return Returns how many times the item can be used.
+            */
+            inline int getJumpsAvailable() const
+                { return this->jumpsAvailable_; }
+            /**
+                @brief Set the amount of jumps available.
+                @param num New number of available jumps.
+            */
+            inline void setJumpsAvailable(int num)
+                { this->jumpsAvailable_ = num; }
+        private:
+            Vector3 velocity_;      //!< The velocity added when the item is used.
+            int jumpsAvailable_;    //!< Amount of jumps still available.
     };
 }
